Subject: [Cellar] Draft Agenda for metting on 25 May, 2021

From: Spencer Dawkins at IETF <[email-masked]>
Date: Fri, 21 May 2021 15:32:44 -0500

Dear All,

Please let me know if we need to make any changes.

Best.

Spencer

CELLAR – DRAFT AGENDA for Virtual Interim Meeting
May 25, 2021 21:00 Amsterdam ***
20:00 UTC
16:00 NYC
13:00 San Francisco
(*** Time is anchored to Amsterdam)

INFO:
https://github.com/ietf-wg-cellar/chair-notes/tree/master/interim-2021-05
(*** Note that we’re now pointing to the Github repo for chair notes
here***)

WEB CONFERENCE:

https://whereby.com/cellar-interim

THERE IS NO TELEPHONE DIALIN (You can try connecting to the whereby.com link
at any time.)

Attendees

   - Spencer Dawkins

Regrets

   - (possibly) Michael Richardson

   1.

   Note Well. https://www.ietf.org/about/note-well/
   2.

   Accept draft minutes from previous meeting (attached below)
   objections asked for, and none received
   3.

   Logistics for Meeting.
   3a) Shared COMIMD for notetaking:
   https://codimd.ietf.org/notes-cellar-virtual
   - Note that if you log in to the IETF datatracker, you’ll
      be able to edit these notes, add your name to attendee
      lists, etc. *

   Please ask Spencer if you have questions.

3b) APPEAR.IN <http://appear.in/> is now called “whereby.com”

   https://whereby.com/cellar-interim

3c) Roll call

   1. WG status update

   - draft-ietf-cellar-codec-06 was posted 2021-04-12, in ID Exists
   - draft-ietf-cellar-ffv1-20 was posted 2021-02-23, is now in RFC Editor
   Queue
   - draft-ietf-cellar-ffv1-v4-16 was posted 2020-12-01, in ID Exists
   - draft-ietf-cellar-flac-01 was posted 2021-04-27, in ID Exists (thank
   you, Dave, for submitting this)
   - draft-ietf-cellar-matroska-07 was posted 2021-04-12, in ID Exists
   - draft-ietf-cellar-tags-06 was posted 2021-04-12, in ID Exists

   1. Milestone review:

   - Matroska maybe at the end of Summer 2021? It’s closer than we thought

Action: we’re making a lot of progress on this - we just need to figure out
where we are

   -

   FLAC still needs an editor to complete the work. Michael did hear back
   from Florin, and he’s unable to serve as editor, so the working group has a
   decision to make about FLAC.
   Dave is working on https://github.com/ietf-wg-cellar/Cellar-FLAC/pull/92,
   making changes for XML2RFCv3 and making sure we have valid authors (not
   organizations) with email addresses (by working group last call)
   -

   FFV1-v4 requires more research, and it is unclear when we will know what
   a realistic goal date is.

   1. 2021 virtual interim meeting dates

   - Please note our 2021 dates listed at
   https://datatracker.ietf.org/wg/cellar/meetings/
   - IETF 111 in July will definitely be virtual (announced last week).
   - Sometime around 2021-09-28, we’ll see if we want to meet at IETF 112
   on November 6-12, 2021, in person in Madrid.

   1. From the mailing list: From Steve, on EBML errata

   - Spencer thought we submitted errata last time, but
   https://www.rfc-editor.org/errata_search.php?rfc=8794&rec_status=15&presentation=table
doesn’t
   show any errata of any status - did this happen?
   - We have 2 merged changes and 2 pending changes in Github
   - In mailing list discussion, we think we have about four pages of text,
   with the identified errata, and the change to IANA instructions
   - Murray said that’s likely fine as an Updates RFC, rather than a much
   bigger RFC that replaces RFC 8794
   - Are we OK with producing a short RFC that would update the EBML RFC,
   probably around end-of-summer?

   1. From the mailing list: From Steve, on Matroska #495 section reordering

   - Steve rebuilt the txt/html files and sent before/after to the mailing
   list
   - Are we all happy with this?
   - Do we need to do anything else?

   1. FFV1 v4 issues

   - Last month, we said we need some working group time to brainstorm on
   v4 - we can do this as a meeting, on the mailing list, or more broadly
   - What would a good plan look like? Can we schedule that time now?
   - Jerome said he would start work on the Introduction (added as an issue)
   -

   1. Matroska issues

   -

   1. FLAC issues

   -

AOB?

NEXT MEETING June 22, 2021.

Notes from previous meeting for approval

CELLAR – DRAFT AGENDA for Virtual Interim Meeting
April 27, 2021 21:00 Amsterdam ***
20:00 UTC
16:00 NYC
13:00 San Francisco
(*** Time is anchored to Amsterdam)

INFO:
https://github.com/ietf-wg-cellar/chair-notes/tree/master/interim-2021-04
(*** Note that we’re now pointing to the Github repo for chair notes
here***)

WEB CONFERENCE:

https://whereby.com/cellar-interim

THERE IS NO TELEPHONE DIALIN (You can try connecting to the whereby.com link
at any time.)

Attendees

   - Spencer Dawkins
   - Michael Richardson
   - Jérôme Martinez
   - Michael Niedermeyer
   - Dave Rice
   - Martin Below

Regrets

   - (possibly) Mortiz Bunkus

   1.

   Note Well. https://www.ietf.org/about/note-well/
   2.

   Accept draft minutes from previous meeting (attached below)
   objections asked for, and none received
   3.

   Logistics for Meeting.
   3a) Shared COMIMD for notetaking:
   https://codimd.ietf.org/notes-cellar-virtual
   - Note that if you log in to the IETF datatracker, you’ll
      be able to edit these notes, add your name to attendee
      lists, etc. *

   Please ask Spencer if you have questions.

3b) APPEAR.IN <http://appear.in/> is now called “whereby.com”

   https://whereby.com/cellar-interim

3c) Roll call

   1. WG status update

   - draft-ietf-cellar-codec-06 was posted 2021-04-12, in ID Exists
   - draft-ietf-cellar-ffv1-20 was posted 2021-02-23, is now in RFC Editor
   Queue
   - draft-ietf-cellar-ffv1-v4-16 was posted 2020-12-01, in ID Exists
   - draft-ietf-cellar-matroska-07 was posted 2021-04-12, in ID Exists
   - draft-ietf-cellar-tags-06 was posted 2021-04-12, in ID Exists
   - draft-ietf-cellar-flac-00 was posted 2019-07-30, has Expired (and we
   still don’t have an editor, correct?)

   1. Milestone review:

   - Michael has requested that the RFC Editor move the FFv1 normative
   reference to Matroska informative, and this has happened. Do we also need
   to move two other normative references in FFv1 to informative?

Action: Michael will send email to AD and RFC-Editor requesting this, so we
won’t have to talk about this in AUTH48
DONE.

   - Matroska maybe at the end of Summer 2021? It’s closer than we thought

Action: we’re making a lot of progress on this - we just need to figure out
where we are

   -

   “Matroska” includes -codec and -tags, correct? Spencer has updated this
   in the datatracker.
   -

   FLAC just needs an editor to complete the work. Michael still hasn’t
   heard from Florin, so the working group has a decision to make about FLAC.

Action: Dave will submit an update on this.
We need to chase Florin down and get an answer.
Dave is working on https://github.com/ietf-wg-cellar/Cellar-FLAC/pull/92,
making changes for XML2RFCv3 and making sure we have valid authors (not
organizations) with email addresses (by working group last call)

   - FFV1-v4 requires more research, and it is unclear when we will know
   what a realistic goal date is.

   1. 2021 virtual interim meeting dates

   - Please note our 2021 dates listed at
   https://datatracker.ietf.org/wg/cellar/meetings/
   - IETF 111 in July will definitely be virtual (announced last week).
   - Sometime around 2021-09-28, we’ll see if we want to meet at IETF 112
   on November 6-12, 2021, in person in Madrid.

   1. From the mailing list: From Steve, on EBML errata

   - we have 2 merged changes and 2 pending changes in Github
   - What needs to happen next?
   - https://www.rfc-editor.org/errata.php#reportnew
   - On the call - we’re submitting the pending changes in the errata system

   1. From the mailing list: From Steve, on Matroska #495 section reordering

   - Steve volunteered to rebuild the txt/html files and send before/after
   to the mailing list
   - Do we need to do anything else?
   - No other action needed -
   Action: Steve, please proceed as you suggested!

   1.

   FFV1 v4 issues
   * No work on FFV4 to report this month
   * Status: somewhat stalled at the moment. We’ve mostly collected
   information for v4 while working on the v1-v3 document, and need some
   brainstorming time.
   * We think getting the v1-v3 document will help gather critical mass in
   the working group.
   * We do need some working group time to brainstorm on v4 - we can do
   this as a meeting, on the mailing list, or more broadly.
   * What are the goals for v4? Compressed frames that expand are already
   in v4. We’ve identified some bugs, and we have some ideas in Github. We
   have a requirement for another color scheme (two greens)
   * Starting to focus on the Introduction would also be useful (added as
   an issue) - Jerome will start work on this
   * We can put ideas in the Introduction first, and then either add them
   to the spec or remove them from the Introduction as work proceeds.
   2.

   Matroska issues

   -

   1. FLAC issues

   - Michael has reached out to Florin to see about his interest in helping
   with this document, but we don’t have an answer from him.
      - no response to email April 27.

ACTION: Dave will repost flac document with new version number.
DONE during the meeting.

AOB?

---

From: Moritz Bunkus <[email-masked]>
Date: Sat, 22 May 2021 13:29:06 +0200

Hey,

I'd like to add one minor topic for discussion: a possible move for our IRC
channel from the Freenode IRC network to another one, preferably
libera.chat. There's been a pretty rough shakeup on Freenode this week that
has led many Open Source projects to jump ship. I've opened an issue on our
infrastructure repo with more details here:
https://github.com/Matroska-Org/infrastructure/issues/9

IRC isn't the most important thing, but it is one of our official ways of
communication, hence it warrants a group discussion.

If anyone wants to learn more about it, please see the following:

https://ariadne.space/2021/05/20/the-whole-freenode-kerfluffle/
https://gist.github.com/jesopo/45a3e9cdbe517dc55e6058eb43b00ed9

m.

---

From: Moritz Bunkus <[email-masked]>
Date: Sat, 22 May 2021 14:35:16 +0200

Hey,

what I meant to say was: I know this doesn't have anything to do with the
specs process, but as we'll be hanging out together anyway this would be a
good opportunity to spend a couple of minutes on it if we don't have
anything more pressing to discuss.

m.

---

From: Michael Richardson <[email-masked]>
Date: Sat, 22 May 2021 21:29:37 -0400

Moritz Bunkus <mo=[email-masked]> wrote:
    > I'd like to add one minor topic for discussion: a possible move for our
    > IRC channel from the Freenode IRC network to another one, preferably
    > libera.chat. There's been a pretty rough shakeup on Freenode this week

It seems like a good idea.

    > IRC isn't the most important thing, but it is one of our official ways
    > of communication, hence it warrants a group discussion.

Just to mention that there is also [email-masked], available via
XMPP, and I think there is still a Matrix and Zulip bridge into it.

--
]               Never tell me the odds!                 | ipv6 mesh networks [
]   Michael Richardson, Sandelman Software Works        |    IoT architect   [
]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Sun, 23 May 2021 17:49:57 -0500

Moritz/Michael,

> XMPP, and I think there is still a Matrix and Zulip bridge into it.

I added this as a one-time 3d) in the agenda: "Changes to logistics (IRC,
Jabber, Whereby, Meetecho ...)"

Michael and I are told that the IETF will be providing Meetecho as a
conferencing system for virtual interim meetings. We wanted to talk to the
group about switching from Whereby, so this will also be a good place to
chat about that for a moment.

Best,

Spencer

---

From: Steve Lhomme <[email-masked]>
Date: Tue, 25 May 2021 21:04:40 +0200

This time I got the time AND date right.
It's is on.

On 2021-05-21 22:32, Spencer Dawkins at IETF wrote:
> https://github.com/ietf-wg-cellar/chair-notes/tree/master/interim-2021-05 <https://github.com/ietf-wg-cellar/chair-notes/tree/master/interim-2021-05>
> https://whereby.com/cellar-interim <https://whereby.com/cellar-interim>
> 
> THERE IS NO TELEPHONE DIALIN (You can try connecting to the whereby.com 
> <http://whereby.com/> link at any time.)
> 
> Attendees
> 
>   * Spencer Dawkins
> 
> Regrets
> 
>   * (possibly) Michael Richardson
> 
>  1.
> 
>     <https://www.ietf.org/about/note-well/>
> 
>  2.
> 
>     <https://codimd.ietf.org/notes-cellar-virtual>
> 
>       * Note that if you log in to the IETF datatracker, you’ll
> 3b) APPEAR.IN <http://appear.in/> is now called “whereby.com 
> <http://whereby.com/>”
> 
> |https://whereby.com/cellar-interim <https://whereby.com/cellar-interim> |
> 
> 3c) Roll call
> 
>  4. WG status update
> 
>   * draft-ietf-cellar-codec-06 was posted 2021-04-12, in ID Exists
>   * draft-ietf-cellar-ffv1-20 was posted 2021-02-23, is now in RFC
>     Editor Queue
>   * draft-ietf-cellar-ffv1-v4-16 was posted 2020-12-01, in ID Exists
>   * draft-ietf-cellar-flac-01 was posted 2021-04-27, in ID Exists (thank
>   * draft-ietf-cellar-matroska-07 was posted 2021-04-12, in ID Exists
>   * draft-ietf-cellar-tags-06 was posted 2021-04-12, in ID Exists
> 
>  5. Milestone review:
> 
>   * Matroska maybe at the end of Summer 2021? It’s closer than we thought
> 
> Action: we’re making a lot of progress on this - we just need to figure 
> out where we are
> 
>   *
> 
>     FLAC still needs an editor to complete the work. Michael did hear
>     back from Florin, and he’s unable to serve as editor, so the working
>     group has a decision to make about FLAC.
>     Dave is working on
>     https://github.com/ietf-wg-cellar/Cellar-FLAC/pull/92
>     <https://github.com/ietf-wg-cellar/Cellar-FLAC/pull/92>, making
>     changes for XML2RFCv3 and making sure we have valid authors (not
>   *
>     FFV1-v4 requires more research, and it is unclear when we will know
>  5. 2021 virtual interim meeting dates
> 
>   * Please note our 2021 dates listed at
>     <https://datatracker.ietf.org/wg/cellar/meetings/>
>   * IETF 111 in July will definitely be virtual (announced last week).
>   * Sometime around 2021-09-28, we’ll see if we want to meet at IETF 112
>  6.  From the mailing list: From Steve, on EBML errata
> 
>   * Spencer thought we submitted errata last time, but
>     <https://www.rfc-editor.org/errata_search.php?rfc=8794&rec_status=15&presentation=table> doesn’t
>   * We have 2 merged changes and 2 pending changes in Github
>   * In mailing list discussion, we think we have about four pages of
>     text, with the identified errata, and the change to IANA instructions
>   * Murray said that’s likely fine as an Updates RFC, rather than a much
>   * Are we OK with producing a short RFC that would update the EBML RFC,
>  7.  From the mailing list: From Steve, on Matroska #495 section reordering
> 
>   * Steve rebuilt the txt/html files and sent before/after to the
>     mailing list
>   * Are we all happy with this?
>   * Do we need to do anything else?
> 
>  8. FFV1 v4 issues
> 
>   * Last month, we said we need some working group time to brainstorm on
>   * What would a good plan look like? Can we schedule that time now?
>   * Jerome said he would start work on the Introduction (added as an issue)
> *
> 
>  9. Matroska issues
> 
> *
> 
> 10. FLAC issues
> 
> *
> 
> AOB?
> 
> |NEXT MEETING June 22, 2021. |
> 
> https://github.com/ietf-wg-cellar/chair-notes/tree/master/interim-2021-04 <https://github.com/ietf-wg-cellar/chair-notes/tree/master/interim-2021-04>
> https://whereby.com/cellar-interim <https://whereby.com/cellar-interim>
> 
> THERE IS NO TELEPHONE DIALIN (You can try connecting to the whereby.com 
> <http://whereby.com/> link at any time.)
> 
> Attendees
> 
>   * Spencer Dawkins
>   * Michael Richardson
>   * Jérôme Martinez
>   * Michael Niedermeyer
>   * Dave Rice
>   * Martin Below
> 
> Regrets
> 
>   * (possibly) Mortiz Bunkus
> 
>  1.
> 
>     <https://www.ietf.org/about/note-well/>
> 
>  2.
> 
>     <https://codimd.ietf.org/notes-cellar-virtual>
> 
>       * Note that if you log in to the IETF datatracker, you’ll
> 3b) APPEAR.IN <http://appear.in/> is now called “whereby.com 
> <http://whereby.com/>”
> 
> |https://whereby.com/cellar-interim <https://whereby.com/cellar-interim> |
> 
> 3c) Roll call
> 
>  4. WG status update
> 
>   * draft-ietf-cellar-codec-06 was posted 2021-04-12, in ID Exists
>   * draft-ietf-cellar-ffv1-20 was posted 2021-02-23, is now in RFC
>     Editor Queue
>   * draft-ietf-cellar-ffv1-v4-16 was posted 2020-12-01, in ID Exists
>   * draft-ietf-cellar-matroska-07 was posted 2021-04-12, in ID Exists
>   * draft-ietf-cellar-tags-06 was posted 2021-04-12, in ID Exists
>   * draft-ietf-cellar-flac-00 was posted 2019-07-30, has Expired (and we
>  5. Milestone review:
>   * Michael has requested that the RFC Editor move the FFv1 normative
>     reference to Matroska informative, and this has happened. Do we also
>     need to move two other normative references in FFv1 to informative?
> 
> Action: Michael will send email to AD and RFC-Editor requesting this, so 
> we won’t have to talk about this in AUTH48
> DONE.
> 
>   * Matroska maybe at the end of Summer 2021? It’s closer than we thought
> 
> Action: we’re making a lot of progress on this - we just need to figure 
> out where we are
> 
>   *
> 
>     “Matroska” includes -codec and -tags, correct? Spencer has updated
>     this in the datatracker.
> 
>   *
> 
> Dave is working on https://github.com/ietf-wg-cellar/Cellar-FLAC/pull/92 
> <https://github.com/ietf-wg-cellar/Cellar-FLAC/pull/92>, making changes 
> for XML2RFCv3 and making sure we have valid authors (not organizations) 
> with email addresses (by working group last call)
> 
>   * FFV1-v4 requires more research, and it is unclear when we will know
>  5. 2021 virtual interim meeting dates
> 
>   * Please note our 2021 dates listed at
>     <https://datatracker.ietf.org/wg/cellar/meetings/>
>   * IETF 111 in July will definitely be virtual (announced last week).
>   * Sometime around 2021-09-28, we’ll see if we want to meet at IETF 112
>  6.  From the mailing list: From Steve, on EBML errata
> 
>   * we have 2 merged changes and 2 pending changes in Github
>   * What needs to happen next?
>   * https://www.rfc-editor.org/errata.php#reportnew
>     <https://www.rfc-editor.org/errata.php#reportnew>
>   * On the call - we’re submitting the pending changes in the errata system
> 
>  7.  From the mailing list: From Steve, on Matroska #495 section reordering
> 
>   * Steve volunteered to rebuild the txt/html files and send
>     before/after to the mailing list
>   * Do we need to do anything else?
>   * No other action needed -
>  8.
>     information for v4 while working on the v1-v3 document, and need
>     some brainstorming time.
>     * We think getting the v1-v3 document will help gather critical mass
>     in the working group.
>     * What are the goals for v4? Compressed frames that expand are
>     already in v4. We’ve identified some bugs, and we have some ideas in
>     Github. We have a requirement for another color scheme (two greens)
>     * Starting to focus on the Introduction would also be useful (added
>     as an issue) - Jerome will start work on this
>     * We can put ideas in the Introduction first, and then either add
>     them to the spec or remove them from the Introduction as work proceeds.
> 
>  9.
> 
>     Matroska issues
> 
> *
> 
> 10. FLAC issues
> 
>   * Michael has reached out to Florin to see about his interest in
>     helping with this document, but we don’t have an answer from him.
>       o no response to email April 27.
> 
> _______________________________________________
> Cellar mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/cellar
>